precision highp float;


varying highp vec2 st;
uniform sampler2D inputImageTexture;
uniform float offset_r;
uniform float offset_g;
uniform float offset_b;

void main() {
    vec4 col = texture2D(inputImageTexture, st);
    col.r = texture2D(inputImageTexture, vec2(st.x + offset_r, st.y)).r;
    col.g = texture2D(inputImageTexture, vec2(st.x + offset_g, st.y)).g;
    col.b = texture2D(inputImageTexture, vec2(st.x + offset_b, st.y)).b;
    gl_FragColor = col;
}