precision highp float;


varying highp vec2 st;
uniform sampler2D inputImageTexture1;
uniform sampler2D inputImageTexture2;
uniform float offset_r;
uniform float offset_g;
uniform float offset_b;

void main() {
    vec4 col = texture2D(inputImageTexture1, st);
    if (offset_r > 0.001){
        col.r = texture2D(inputImageTexture2, vec2(st.x + offset_r, st.y)).r;
    }
    if (offset_g > 0.001){
        col.g = texture2D(inputImageTexture2, vec2(st.x + offset_g, st.y)).g;
    }
    if (offset_b > 0.001){
        col.b = texture2D(inputImageTexture2, vec2(st.x + offset_b, st.y)).b;
    }
    gl_FragColor = col;
}