precision highp float;


varying highp vec2 st;
uniform sampler2D inputImageTexture1;
uniform sampler2D inputImageTexture2;
uniform float strength;

void main() {
    //    vec2 st = textureCoordinate;
    vec4 col2 = texture2D(inputImageTexture2, st);
    col2.rgb = mix(col2.rgb, vec3(0.0), strength * texture2D(inputImageTexture1, st + vec2(-0.004, 0.0)).r);
    gl_FragColor = col2;
}