precision highp float;


varying highp vec2 st;
uniform sampler2D inputImageTexture1;
uniform sampler2D inputImageTexture2;
uniform float strength;

void main() {
    //    vec2 st = textureCoordinate;
//    vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
//    vec4 textureColor2 = texture2D(inputImageTexture2, textureCoordinate2) * opacity;
//    vec4 whiteColor = vec4(1.0);
//    gl_FragColor = whiteColor - ((whiteColor - textureColor2) * (whiteColor - textureColor));

    vec4 col1 = texture2D(inputImageTexture1, st);
    vec4 col2 = texture2D(inputImageTexture2, st);
    col1.b = mix(col1.b, col2.b, step(col1.b, col2.b) * strength);
    gl_FragColor = col1;
}