precision highp float;


varying vec2 st;
uniform sampler2D inputImageTexture1;
uniform sampler2D inputImageTexture2;
uniform sampler2D maskTexture;
uniform float strength;


void main() {
    vec4 col1 = texture2D(inputImageTexture1, st);
    vec4 col2 = texture2D(inputImageTexture2, st);
    vec4 col = mix(col2, col1, texture2D(maskTexture, st).r * strength);
    gl_FragColor = col;
}